<?php
namespace Pinpoint\CarouselManager\Api;

use Pinpoint\CarouselManager\Api\Data\SlideInterface;
use Magento\Framework\Api\SortOrder;
use Magento\Framework\Api\SearchCriteriaInterface;

interface SlideRepositoryInterface 
{
    public function save(SlideInterface $page);

    public function getById($id);

    public function getList(SearchCriteriaInterface $criteria);

    public function delete(SlideInterface $page);

    public function deleteById($id);
}
