<?php

namespace Pinpoint\CarouselManager\Controller\Adminhtml\Carousel;

use Magento\Backend\App\Action;
use Magento\Backend\App\Action\Context;
use Magento\Framework\View\Result\PageFactory;

/**
 * Class CarouselList
 * @package Pinpoint\CarouselManager
 */
class Add extends Action
{
    const ADMIN_RESOURCE = 'Pinpoint_CarouselManager::carousel';
    protected $resultPageFactory;

    public function __construct(
        \Magento\Backend\App\Action\Context $context,
        \Magento\Framework\View\Result\PageFactory $resultPageFactory)
    {
        $this->resultPageFactory = $resultPageFactory;
        parent::__construct($context);
    }

    public function execute()
    {
        //return $this->resultPageFactory->create();
        $this->_redirect('pinpoint_carousel/carousel/edit');
    }
}
