<?php
namespace Pinpoint\CarouselManager\Api;

use Pinpoint\CarouselManager\Api\Data\CarouselInterface;
use Magento\Framework\Api\SortOrder;
use Magento\Framework\Api\SearchCriteriaInterface;

interface CarouselRepositoryInterface 
{
    public function save(CarouselInterface $page);

    public function getById($id);

    public function getList(SearchCriteriaInterface $criteria);

    public function delete(CarouselInterface $page);

    public function deleteById($id);
}
