<?php

namespace Pinpoint\CarouselManager\Block\Adminhtml\Carousel\Edit;

use Magento\Framework\View\Element\UiComponent\Control\ButtonProviderInterface;

class DuplicateButton extends GenericButton implements ButtonProviderInterface
{
    public function getButtonData()
    {
        return [
            'label' => __('Duplicate'),
            'on_click' => sprintf("location.href = '%s';", $this->getDuplicateUrl()),
            'class' => 'duplicate',
            'sort_order' => 35
        ];
    }

    public function getDuplicateUrl()
    {
        return $this->getUrl('*/*/duplicate', ['object_id' => $this->getObjectId()]);
    }
}
